package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 状态(0.未读,1.已读)枚举类
*
* @author zxfei
*/
public enum NoticeStatusEnum {
    未读(0, "未读"),
    已读(1, "已读");
    private Integer value;
    private String desc;

    NoticeStatusEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static NoticeStatusEnum getByValue(Integer value) {
        for (NoticeStatusEnum noticeStatusEnum : NoticeStatusEnum.values()) {
            if (noticeStatusEnum.getValue() == value) {
                return noticeStatusEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (NoticeStatusEnum item : NoticeStatusEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}